
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>如何在Rails和Grails之间做选择？ / iVAN</title>

    <meta name="description" content="如何在Rails和Grails之间做选择？ 自从Rails和Grails进入人们的视野以来,有关Rails和Grails之间的各种比较就没有停止过. 最近Stephan在其博客上给出了Rails和Grails的工作趋势图.从Rails和Grails工作趋势图中可以看出,Rails正处于快速上升期,Grails上升的趋势相对较缓. 但是他并没有对此图作出过多评论,正如他所说:&quot;如果你想对这一趋势加以评论,我看还是免了吧.已经有很多相关讨论了,每个人都各持己见&quot;. 从另一个张图--Google趋势图,我们可以看看人们对Ra ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">如何在Rails和Grails之间做选择？</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>自从Rails和Grails进入人们的视野以来，有关Rails和Grails之间的各种比较就没有停止过。 最近Stephan在其博客上给出了Rails和Grails的工作趋势图。从Rails和Grails工作趋势图中可以看出，Rails正处于快速上升期，Grails上升的趋势相对较缓。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMDkySlU2MTgtMC5wbmc=.jpg"></p>
<p>但是他并没有对此图作出过多评论，正如他所说：“如果你想对这一趋势加以评论，我看还是免了吧。已经有很多相关讨论了，每个人都各持己见”。</p>
<p>从另一个张图——Google趋势图，我们可以看看人们对Rails和Grails这两个主题的关注度：</p>
<table>
<tbody>
<tr>
<td>rails</td>
<td>
<table>
<tbody>
<tr>
<td> </td>
</tr>
</tbody>
</table>
</td>
<td>1.00</td>
</tr>
<tr>
<td>grails</td>
<td>
<table>
<tbody>
<tr>
<td> </td>
</tr>
</tbody>
</table>
</td>
<td>0.02</td>
</tr>
</tbody>
</table>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMDkySlUxMTYtMS5wbmc=.jpg"></p>
<p>图中我们可以看到，Rails从2005年开始就进入“快速上升期”，今年势头开始放慢。而Grails从2006年以来一直处于相对缓慢的增长过程。</p>
<p>从这两张图中我们可以看出，Rails还是相对比较火爆的，但Grails也在逐步增长。从技术角度来看，这两者又是孰优孰劣呢？我们又该如何选择呢？早些时候Matt Raible在其博文《Grails vs Rails——我的想法》中表达了他的看法。</p>
<p>关于成熟度问题，Matt Raible认为：</p>
<p>它们都是优秀的开发架构。Rails更加成熟一些，但是创建环境是相当痛苦的（特别是在Windows上）。对于Java开发人员来说，Grails非常容易创建起来。Grails需要提高的地方是热发布和出错记录堆栈，但这些大概是Groovy语言的问题，出错记录堆栈是惨不忍睹的—很少在最初的几行指出类和行数。</p>
<p>关于如何在Rails和Grails之间进行选择的问题，Matt Raible说道：</p>
<p>……两者都有编程的乐趣，并且有能力大大提高开发效率。如果你熟悉Hibernate、Spring、SiteMesh和JSP，那么你应该学习Grails。如果你精通这些技术，那么你一个小时之内就能学会Grails。……</p>
<p>有没有Rails能做而Grails不能做的事情？这就不是我能够告诉你的。我想这取决于开发人员的热情和开发团队的选择。如果你是资深的Java开发人员并且喜欢这个生态和它的工具，那么选择Grails就更直观一些。如果你是资深的PHP开发人员或者在J2EE上感觉不好，那么你可能更喜欢Rails一些。对于两个开发框架来说，它们都有一个相同的事情——学习一个实际上会教给你另一个的知识。它们在很多方面都如此相似，以至它们之间的知识可以相互转移。</p>
<p>冯国平（hivon）已经在其博客中将《Grails vs Rails——我的想法》一文翻译成了中文，有兴趣的读者可以点击这里查看完整的译文。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-17 03:15:19</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/%e9%80%89%e6%8b%a9/" title="选择">选择</a>, <a href="https://www.iamivan.net/tag/%e5%bc%80%e5%8f%91/" title="开发">开发</a>, <a href="https://www.iamivan.net/tag/%e8%b6%8b%e5%8a%bf/" title="趋势">趋势</a>, <a href="https://www.iamivan.net/tag/rails/" title="rails">rails</a>, <a href="https://www.iamivan.net/tag/grails/" title="grails">grails</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>如何在Rails和Grails之间做选择？的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2PGeQp.html" rel="bookmark">【原创】如何在 libgda 和 SQLite 之间作出选择</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				How to choose between Libgda and SQLite 如何在 libgda 和 SQLite 之间作出选择  (本文为 官方文档 翻译,以中英对照形式呈现)  Libgda has been added as a new external dependency for GNOME 2.26, with now two database libraries: Libgda and SQLite. libgda 已作为一个新外部依赖项被添加到 GNOME 2.26 中了,如			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5NQW7z.html" rel="bookmark">两个offer如何做选择？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前些天和一个年轻的朋友谈跳槽.朋友说她需要在两个offer里面做选择.一个是年薪20万的职位,一个是年薪15万的职位.她更喜欢后者的节奏与内容,却被前面稍高的工资吸引.我们仔细算了一下她的工作时间:前者是每天工作近11个小时,节假日偶尔也要加班,后者则基本是8小时规律的生活.遇到这样的问题我们该如何选择?且听我们分解. 关于年薪 说到年薪,我们来看看到底什么是年薪. 记得我刚工作的时候,是没听说过年薪这个概念的.那时说的是月薪(我当时月薪3000元,由基本工资和绩效工资.各种补贴组成).后来随着			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pk7lLOp.html" rel="bookmark">两个offer如何做选择？年薪20万vs年薪15万</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				(附注:本文转载于:http://www.eoeandroid.com/thread-296678-1-1.html) 前些天和一个年轻的朋友谈跳槽.朋友说她需要在两个offer里面做选择.一个是年薪20万的职位,一个是年薪15万的职位.她更喜欢后者的节奏与内容,却被前面稍高的工资吸引.我们仔细算了一下她的工作时间:前者是每天工作近11个小时,节假日偶尔也要加班,后者则基本是8小时规律的生活.遇到这样的问题我们该如何选择?且听我们分解. 关于年薪 说到年薪,我们来看看到底什么是年薪. 记得我刚工			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zV75qnb.html" rel="bookmark">如何在rails开发环境中取得上下文路径</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 如何在rails开发环境中取得上下文路径下面是C#的写法string contextPath = Request.ApplicationPath;求教谢谢!先 解决方案 使用RAILS_ROOT常量解决方案二:查看一下environment.rb就知道了			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLBNr8b.html" rel="bookmark">如何在EF 5&period;0 中做带外键的数据新增</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 如何在EF 5.0 中做带外键的数据新增 各位大牛好,我有一个EF的问题: 我有一张主表,包含2个子表,是用外键关联的,但是其中一张子表又是另一个子表的子表,也是用外键关联的,请问在EF中如何新增这3张表的记录.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zeaP57z.html" rel="bookmark">专业治疗选择困难症----帮你做选择</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				很多时候都会遇到让人纠结的事情,比如做什么了不做什么的了.都说抛硬币很有效,并不是因为抛硬币的结果,而是在硬币抛出的那一瞬间,心中到底想要什么就已经很明显了.但是咧,不可能随身都带着一枚硬币吧.于是有了下面的这个小小的软件. 核心算法 哈,这里并不能说是核心算法吧.毕竟不是自己的.就是一个产生随机数的算法.让我们来追踪一下吧. //第一步:入口之Math.random() Math.random(); //第二步:进入random的内部 public static double random()			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/dzZvQYz.html" rel="bookmark">独立网店和淘宝网店之间的选择</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				记得某位老大说过,个人站长最长久的模式还是电子商务,而且也越来越多的网站会像所谓的电子商务网站来靠拢,我们先不去论证这些观点是否科学和正确的,就从现在的电子商务模式上看,要么嫁接到别的电子商务平台,比如淘宝.拍拍.有啊.易趣等,还有一种模式就是自己架设自己的B2C或者B2B电子商务网站,那么我们如何在这两个之间做出个选择呢! 最近发现有很多的站长都很想介入到这个所谓的电子商务,但是苦于淘宝的这个大树让自己的选择多了份困惑,不知道是该自己建立独立的销售网站呢,还是在淘宝上开个店,由于没有亲身去体验			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8jAl4b.html" rel="bookmark">在组策略的首选项和策略设置之间进行选择</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				从Windows Vista sp1和Windows Server 2008开始,组策略(Group Policy)和先前的版本有了更加长足的进步.细心的管理员可能已经发现,最新版本的组策略分成了策略设置(Policy Settings)和策略首选项(Policy Preferences)两个部分.其中策略设置基本上继承了以前版本组策略的主要内容,而策略首选项则是全新的内容,为管理员提供了更多更细的设置. 组策略设置和首选项的不同之处就在于强制性.组策略设置是受管理的.强制实施的.而组策略首选项			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrXXG4z.html" rel="bookmark">应届毕业生在企业erp与j2ee软件开发之间如何选择？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 个人背景A掌握的技能:jsp,servlet,spring,struts,Hibernate能够使用ssh集成框架开发一些简单的信息系统.B本人所学专业介绍:信息管理与信息系统是一个比较综合的专业,有一半的经济管理类的课程,一半的软件开发类的课程.C自我评价:逻辑思维能力强,在信息系统开发中有较强的创造力.编程能力突出.学习能力好:当前的选择:如果有两个选择:一个是去海马参与企业erp的开发,可能是签约三年:另一个是到福建新大陆软件公司做j2ee程序员.个人的分析:1.我觉得对于我来说			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9Mxvjyz.html" rel="bookmark" class="title">JSP学习笔记&lpar;六&rpar;-----在多个JSP页面之间传递参数</a>
					<div>
						js|笔记|页面 1. 怎么在多个JSP页面之间进行参数传递?需要使用JSP的内置作用域对象session.利用它的两个方法setAttribute(),getAttribute()2. 下面的这个实 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqGgYz.html" rel="bookmark" class="title">MYSQL表达式求值和MYSQL类型转换</a>
					<div>
						    2.4 表达式求值和类型转换    MySQL允许编写包括常量.函数调用和表列引用的表达式.这些值可利用不同类型的运算符进行组合,诸如算术运算符或比较运算符.表达式的项可用圆括号来分组.表达式 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz4Vd1M.html" rel="bookmark" class="title">金山星期二：蔡文胜如何在网上掘金</a>
					<div>
						蔡文胜名满江湖,自是早有耳闻.电脑报上一篇关于他和联想FM365之间的恩怨情仇,曾经给我留下了深刻的印象,第一次知道了原来还有人在这么玩域名.关注过一小会后知道自己不是那个料,但蔡文胜&quot;域名 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/4MY3Nrz.html" rel="bookmark" class="title">FrontPage创建HTML／ASP混合页面Ⅱ</a>
					<div>
						将发生什么?FrontPage已经添加了一串的&lt; /form &gt;标记,所以在页面上建立了4个独立的表单.这并不是我们所需要的,对于这个例子,让我们忘记使用FrontPage,好吗?哦,不! ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vMN4Pyz.html" rel="bookmark" class="title">SEO优化之内容为王外链为皇的必要性</a>
					<div>
						之前写了&lt;Seo处女作之枯燥过后见彩虹&gt;,觉得内容很空旷,没有实质的内容,就大概说了说我这两个月来从接触seo开始到对seo有所认识后的过程,从一开始好奇.神秘.枯燥与乏味变成了对相关技术 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQP34Oz.html" rel="bookmark" class="title">IBM Java Toolbox for i 实现 Web 与智能移动设备调用 RPG</a>
					<div>
						IBM Java Toolbox for i 实现 Web 与智能移动设备调用 RPG IBM i 平台的主流语言为 RPG,其运行效率很高.而 Java 作为当今主流的编程语言,应用在全球 30 亿 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlRvw8z.html" rel="bookmark" class="title">JBPM4 4&period;0使用问题 -- 2&colon; jbpm 4 在Tomcat 6&period;0上 运行问题</a>
					<div>
						have different Class objects for the type javax/el/ExpressionFactory used in the signature 使用Tomcat发 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd7k0dM.html" rel="bookmark" class="title">多台路由器组网设置图文教程</a>
					<div>
						本文主要以有线路由器TL-R460+和无线路由器TL-WR541G+为例为详细教大家多台路由器组网设置教程. 一.网络拓扑分析 1.假设您有一条ADSL宽带线,经过TL-R460+宽带路由器实现了两台 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnY7Z0M.html" rel="bookmark" class="title">如何去掉word中页眉横线</a>
					<div>
						  1.双击页眉,进入到页眉的编辑状态. 2.单击开始选项卡--样式区域中--点样式右下方小按钮打开样式列表. 3.单击第一个全部清除,即可删除清除掉word页眉横线了.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmG4Xqb.html" rel="bookmark" class="title">如何使用U盘在Linux上安装RAID驱动</a>
					<div>
						1. 先在windows环境中把驱动拷贝到U盘上去, 2. 用redhat的第一张盘引导,当出现提示你是否加载hard driver时,选择skip,这是OS没有检测到硬盘的提示,此时就可以skip, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkGxddp.html" rel="bookmark" class="title">电脑主流系统是什么</a>
					<div>
						电脑操作系统简称OS.它是管理电脑硬件和软件资源的一个程序,操作系统又细分为一般操作系统和服务器操作系统,一般的操作系统的话就以现在的XP和win7系统.可是有网友不太了解什么叫服务器操作系统,这里指 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKkRNnb.html" rel="bookmark" class="title">Windows系统日志审计</a>
					<div>
						  实验背景 针对网络中Windows服务器攻击经常发生的情况,管理员需要在服务器工作出现异常情况后,进行快速的响应,并且需要及时定位受到入侵的服务,发现黑客入侵的手段,找到系统的脆弱点并且加以修补, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myw71dz.html" rel="bookmark" class="title">新颖训练方法&mdash;&mdash;用迭代投影算法训练神经网络</a>
					<div>
						首发地址:https://yq.aliyun.com/articles/72738 作者介绍:Jesse Clark 研究相位恢复的物理学家.数据科学家,有着丰富的建设网站与设计手机应用的经验,在创业 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0W5W8b.html" rel="bookmark" class="title">os-求解释一下make clobber 输出的几行字</a>
					<div>
						问题描述 求解释一下make clobber 输出的几行字 xy@xy-QTC6:~/tdroid/tdroid-4.3_r1$ make clobber PLATFORM_VERSION_CODEN ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDWXNBp.html" rel="bookmark" class="title">线程同步2&mdash;&mdash;同步通信wait和notify</a>
					<div>
						一.线程如何停止使用stop()不安全.它会解除由线程获取的所有锁定,而且如果对象处于一种不连贯状态,那么其他线程能在那种状态下检查和修改它们.结果很难检查出真正的问题所在.suspend()方法容易 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVyRAb.html" rel="bookmark" class="title">对于谷歌PR的传递原理，以及PR值的深层次含义的分享</a>
					<div>
						摘要: 笔在这里者将自己对于谷歌PR的传递原理,以及PR值的深层次含义分享一下,下面主要以问答的形式来深度解析! 问: PR值是指网站的还是页面的? PR的对象是单个网页,也就是单个页 笔在这里者将自 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
									<a href="https://www.iamivan.net/a/bam4oXb.html" class="thumbnail">
				<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcmVhZC5odG1sNS5xcS5jb20vaW1hZ2U/c3JjPWZvcnVtJmFtcDtxPTUmYW1wO3I9MCZhbXA7aW1nZmxhZz03JmFtcDtpbWFnZVVybD1odHRwOi8vZXNzYXkuYjAudXBhaXl1bi5jb20vMTc0Ny80NDYwOTMvMC5qcGc=.jpg">
							</a>
							<div class="info"   >
					<a href="https://www.iamivan.net/a/bam4oXb.html" rel="bookmark" class="title">运营商&colon;唤醒海量数据&comma;开发金融产品</a>
					<div>
						摘要:三大运营商并不甘&quot;为他人作嫁衣裳&quot;,他们有着海量的大数据,但一直处于沉睡状态,如果能够把多年积累下来的客户数据用起来,甚至都可以用来开银行 继中国电信推出金融理财产品&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQrLorM.html" rel="bookmark" class="title">org&period;apache&period;hadoop&period;ipc&period;Client&colon; Retrying connect to server异常的解决</a>
					<div>
						检查发现是DataNode一直连接不到NameNode. 检查各个节点在etc/hosts中的配置是否有127.0.1.1 xxxxxx.如果有把其屏蔽或者删除,重启各节点即可. 原因:127.0.1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE4AdAz.html" rel="bookmark" class="title">struts升级-将struts2升到2&period;3&period;15&period;3之后系统变慢的问题</a>
					<div>
						问题描述 将struts2升到2.3.15.3之后系统变慢的问题 由于struts2的漏洞,把struts2版本升级到2.3.15.3后,用户反映系统变慢.升级struts2的过程中,除了替换jar包 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxYa4jp.html" rel="bookmark" class="title">for命令的一些bug分析&lowbar;DOS&sol;BAT</a>
					<div>
						1.关于冒号:当某行内容以 : 打头时,用 for /f &quot;tokens=1* delims=:&quot; %%i in ('findstr /n .* test.txt') do ech ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnKg0Oz.html" rel="bookmark" class="title">天津港区域性良港逢低关注</a>
					<div>
						(九鼎德盛 肖玉航) 天津港(600717) 区域性良港 逢低关注 公司是我国北方地区货类齐全的综合性国际大港,已形成了以集装箱.原油及制品.矿石.煤炭为支柱.以钢材.粮食等为重点的货源结构,是环渤海 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvmwVVb.html" rel="bookmark" class="title">Hyper-V 2016：支持guest操作系统</a>
					<div>
						Hyper-V 2016支持较新guest 操作系统,支持最大数量的vCPU和自动集成服务安装.但是对于较旧的guest 操作系统,用户仍需要手动安装. Microsoft已经努力确保在Windows ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodLyEM.html" rel="bookmark" class="title">主流大数据SQL引擎技术博弈，谁为王？</a>
					<div>
						文章讲的是主流大数据SQL引擎技术博弈,谁为王,近日,AtScale公布了第四季度主流大数据SQL引擎的测试结果,主要针对Spark.Impala.Hive/Tez以及Presto. 测试结果证实了我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWWJ7XM.html" rel="bookmark" class="title">求救 －－如何把 vs2005 中使用 sql2000 中的事务 ？</a>
					<div>
						问题描述 大家好!在vs2005中使用sql2000中的事务(tran)?我想在表中,先添加几条数据,如果满足条件,则执行(commit)不满足,则用(rollback),不执行. 解决方案 解决方案 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7xK44b.html" rel="bookmark" class="title">在DEV中  gridcontrol  问题  会的麻烦帮忙下 谢谢~~~~~~~~~急</a>
					<div>
						问题描述 在DEV中使用gridcontrol当查询到最后一页只有一行数据的时候怎么上一页下一页首页尾页这些按钮都按不了了有没人遇到过.gridcontrol翻页是时候鼠标焦点行在第一行数据(上一页) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodV3EM.html" rel="bookmark" class="title">《Haskell并行与并发编程》&mdash;&mdash;第2章，第2&period;3节示例：并行化数独解算器</a>
					<div>
						2.3 示例:并行化数独解算器 Haskell并行与并发编程 本节将分析一个实例,考察如何并行化一个程序,使之对多组输入数据执行相同的计算.该计算实现了数独求解的功能.解算器(solver)速度相当快 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOn463p.html" rel="bookmark" class="title">centos下mysql主从复制设置详解&lowbar;Mysql</a>
					<div>
						安装环境:centos 5.4 mysql版本:mysql 5.1.xx 采用rpm直接安装 所需软件: xtrabackup 1.2.22 采用rpm直接安装 1. Master:/etc/my.c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYNJm5p.html" rel="bookmark" class="title">asp&plus;Ajax简单客户登陆验证&lowbar;AJAX相关</a>
					<div>
						服务器端操作方便之处我就不吹了,地球人都知道,它最烦莫过于页面刷新,头都被刷晕了,而且他在刷新的时候,还触发服务器端的事件(解决方案:http://skylaugh.cnblogs.com/archi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV789Yb.html" rel="bookmark" class="title">const-初学C&plus;&plus;，改进上述程序</a>
					<div>
						问题描述 初学C++,改进上述程序 #ifndef COURSE_H #define COURSE_H #include using namespace std; class Course { pub ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgExJ8z.html" rel="bookmark" class="title">CIO：大数据用于商业决策的难点</a>
					<div>
						越来越多的企业开始重视对大数据的分析与利用.据贝恩咨询公司的一份全球调研报告显示,在其调研的超过400家年营业额高于5亿美元的企业中,有大约60%的企业正积极在大数据方面进行投资,以期获取企业发展的新 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
